X2Go Bug report logs - #574
x2goserver username length increasing proposal

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Andrey Igoshin <ai@vsu.ru>

Date: Mon, 18 Aug 2014 14:15:01 UTC

Severity: normal

Tags: pending

Found in version 4.1.0.0-0~1055~ubuntu14.04.1

Fixed in version 4.0.1.16

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#574: X2Go issue (in src:x2goserver) has been marked as pending for release
Reply-To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 574@bugs.x2go.org
Resent-From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Wed, 20 Aug 2014 08:20:02 +0000
Resent-Message-ID: <handler.574.B574.140852271522911@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 574
X-X2Go-PR-Package: x2goserver
X-X2Go-PR-Keywords: 
Received: via spool by 574-submit@bugs.x2go.org id=B574.140852271522911
          (code B ref 574); Wed, 20 Aug 2014 08:20:02 +0000
Received: (at 574) by bugs.x2go.org; 20 Aug 2014 08:18:35 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS
	autolearn=ham version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id D416A5DB83; Wed, 20 Aug 2014 10:18:34 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 574-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 574@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20140820081834.D416A5DB83@ymir.das-netzwerkteam.de>
Date: Wed, 20 Aug 2014 10:18:34 +0200 (CEST)
tag #574 pending
fixed #574 4.0.1.16
thanks

Hello,

X2Go issue #574 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=49c4a84

The issue will most likely be fixed in src:x2goserver (4.0.1.16).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 49c4a84c918934919169e2f54bf5b71b70bb89b2
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Aug 20 10:06:48 2014 +0200

    Allow length of username up to 48 characters (was: 32 characters). (Fixes: #574).

diff --git a/debian/changelog b/debian/changelog
index e04c640..78f55b2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -67,6 +67,8 @@ x2goserver (4.0.1.16-0x2go1) UNRELEASED; urgency=low
     - Allow email addresses as login usernames. (Fixes: #573).
     - Abort session startup if env var $USER or $SSH_CLIENT are not set.
       (Fixes: #558).
+    - Allow length of username up to 48 characters (was: 32 characters). (Fixes:
+      #574).
   * debian/control, x2goserver.spec:
     + Update versioned D: x2goagent (>= 3.5.0.25). This assures that X2Go
       works with poly-instantiated /tmp directories.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 24 11:23:21 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.